package dfatool.strategy.verification;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

import dfatool.strategy.verification.elements.EssentialComponents;
import dfatool.views.dialogs.DefaultMessageDialog;

public class Strategy {
	
	public static void verifyDeadlockFreedomOfNetwork(Shell parentShell) {
		System.out.println("Verifying");
		boolean hasFinished = EssentialComponents.getInstance().getEssentialComponents().size() == 0;
		if(hasFinished){
			System.out.println("Has finished");
			DefaultMessageDialog.createDeadlockFreeDialog(parentShell).open();
		}
	}


}
